#include <iostream>

using namespace std;

int main()
{
    int n, k;

    cin >> n >> k;

    int a[n];

    int poz;

    int res;

    for(int i = 0; i < n; i++){

        cin >> a[i];

        if(a[i] == k) poz = i;

    }

    if(poz == n-1) res = a[0];

    else res = a[poz+1];

    cout << res;

    return 0;
}